# Service DLNA

Un service DNLA pour *Digital Living Network Alliance* est un service capable de partager des contenus multimédias avec foule d'appareils tels que des télévisions, des télévisions, ... mais aussi avec des logiciels comme VLC.

Ce service est utile sur un réseau local quand on souhaite partager les films entre les appareils de la maison par exemple.

## Installation

Il faut installer le paquet `minidlna`.

Si les contenus se trouvent sur un disque externe (je conseille de ne pas tout stocker sur la carte SD) il faut monter le disque soit avec la commande mount soit dans le fichier `/etc/fstab` :

```
/dev/mapper/rpi4vg--data-multimedia--rpi4 /mnt/lv-multimed  ext4    defaults          0       2
```

dans mon cas.

## Configuration

Éditer : `/etc/minidlna.conf`

Il est intéressant de modifier `media_dir` pour pointer vers l'endroit où vous stockez vos médias.

On peut faire un `systemctl enable --now minidlna` ou `systemctl restart minidlna`.

Si vous avez un pare feu il faut penser à ajouter le traffic vers et depuis le port 8200 en tcp sur le réseau local. Il faut aussi activer le [SSDP](https://fr.wikipedia.org/wiki/Simple_Service_Discovery_Protocol). On peut aussi simplement autoriser tout le traffic sur le réseau local pour ne pas s'embêter.